libzypp 17.37.10

Algorithm.h File Reference
`#include <algorithm>`

Go to the source code of this file.

## Namespaces
namespace | zypp
| Easy-to use interface to the ZYPP dependency resolver.

## Functions
template<class TIterator, class TFilter, class TFunction>
int | zypp::invokeOnEach (TIterator begin_r, TIterator end_r, TFilter filter_r, TFunction fnc_r)
| Iterate through [begin_r,end_r) and invoke fnc_r on each item that passes filter_r.
template<class TIterator, class TFunction>
int | zypp::invokeOnEach (TIterator begin_r, TIterator end_r, TFunction fnc_r)
| Iterate through [begin_r,end_r) and invoke fnc_r on each item.
template<class Container, class Elem>
bool | zypp::contains (const Container &c, const Elem &elem)
template<class Container, class Fnc>
bool | zypp::any_of (const Container &c, Fnc &&cb)